org.eclnt.jsfserver.elements.componentnodes

## Class SIMPLEHTMLEDITORNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SIMPLEHTMLEDITORNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SIMPLEHTMLEDITORNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SIMPLEHTMLEDITORNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SIMPLEHTMLEDITORNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindAvoidsanitizing(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindBorder(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindBridgepage(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindColspan(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindComment(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindFlush(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindFlushtimer(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindHeight(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindRounding(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindShadow(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindText(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindX(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `bindY(IDynamicContentBindingObject value)`
    `SIMPLEHTMLEDITORNode` | `setAdapterbinding(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setAnimatechangeofsize(boolean value)`
    `SIMPLEHTMLEDITORNode` | `setAnimatechangeofsize(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setAttributemacro(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setAvoidsanitizing(boolean value)`
    `SIMPLEHTMLEDITORNode` | `setAvoidsanitizing(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setBorder(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setBridgepage(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setColspan(int value)`
    `SIMPLEHTMLEDITORNode` | `setColspan(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setComment(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setConfiginfo(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setFlush(boolean value)`
    `SIMPLEHTMLEDITORNode` | `setFlush(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setFlushtimer(int value)`
    `SIMPLEHTMLEDITORNode` | `setFlushtimer(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setFxstyleseq(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setHeight(int value)`
    `SIMPLEHTMLEDITORNode` | `setHeight(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setId(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setRendered(boolean value)`
    `SIMPLEHTMLEDITORNode` | `setRendered(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setRounding(int value)`
    `SIMPLEHTMLEDITORNode` | `setRounding(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setShadow(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setStyleseq(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setStylevariant(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setText(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setWidth(int value)`
    `SIMPLEHTMLEDITORNode` | `setWidth(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setX(int value)`
    `SIMPLEHTMLEDITORNode` | `setX(java.lang.String value)`
    `SIMPLEHTMLEDITORNode` | `setY(int value)`
    `SIMPLEHTMLEDITORNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SIMPLEHTMLEDITORNode

          public SIMPLEHTMLEDITORNode()

  - ### Method Detail

    - #### setId

          public SIMPLEHTMLEDITORNode setId(java.lang.String value)

    - #### setAdapterbinding

          public SIMPLEHTMLEDITORNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SIMPLEHTMLEDITORNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SIMPLEHTMLEDITORNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SIMPLEHTMLEDITORNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SIMPLEHTMLEDITORNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SIMPLEHTMLEDITORNode setAttributemacro(java.lang.String value)

    - #### setAvoidsanitizing

          public SIMPLEHTMLEDITORNode setAvoidsanitizing(java.lang.String value)

    - #### bindAvoidsanitizing

          public SIMPLEHTMLEDITORNode bindAvoidsanitizing(IDynamicContentBindingObject value)

    - #### setAvoidsanitizing

          public SIMPLEHTMLEDITORNode setAvoidsanitizing(boolean value)

    - #### setBorder

          public SIMPLEHTMLEDITORNode setBorder(java.lang.String value)

    - #### bindBorder

          public SIMPLEHTMLEDITORNode bindBorder(IDynamicContentBindingObject value)

    - #### setBridgepage

          public SIMPLEHTMLEDITORNode setBridgepage(java.lang.String value)

    - #### bindBridgepage

          public SIMPLEHTMLEDITORNode bindBridgepage(IDynamicContentBindingObject value)

    - #### setColspan

          public SIMPLEHTMLEDITORNode setColspan(java.lang.String value)

    - #### bindColspan

          public SIMPLEHTMLEDITORNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SIMPLEHTMLEDITORNode setColspan(int value)

    - #### setComment

          public SIMPLEHTMLEDITORNode setComment(java.lang.String value)

    - #### bindComment

          public SIMPLEHTMLEDITORNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SIMPLEHTMLEDITORNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SIMPLEHTMLEDITORNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlush

          public SIMPLEHTMLEDITORNode setFlush(java.lang.String value)

    - #### bindFlush

          public SIMPLEHTMLEDITORNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public SIMPLEHTMLEDITORNode setFlush(boolean value)

    - #### setFlushtimer

          public SIMPLEHTMLEDITORNode setFlushtimer(java.lang.String value)

    - #### bindFlushtimer

          public SIMPLEHTMLEDITORNode bindFlushtimer(IDynamicContentBindingObject value)

    - #### setFlushtimer

          public SIMPLEHTMLEDITORNode setFlushtimer(int value)

    - #### setFxstyleseq

          public SIMPLEHTMLEDITORNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public SIMPLEHTMLEDITORNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public SIMPLEHTMLEDITORNode setHeight(java.lang.String value)

    - #### bindHeight

          public SIMPLEHTMLEDITORNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SIMPLEHTMLEDITORNode setHeight(int value)

    - #### setRendered

          public SIMPLEHTMLEDITORNode setRendered(java.lang.String value)

    - #### bindRendered

          public SIMPLEHTMLEDITORNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SIMPLEHTMLEDITORNode setRendered(boolean value)

    - #### setRounding

          public SIMPLEHTMLEDITORNode setRounding(java.lang.String value)

    - #### bindRounding

          public SIMPLEHTMLEDITORNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public SIMPLEHTMLEDITORNode setRounding(int value)

    - #### setShadow

          public SIMPLEHTMLEDITORNode setShadow(java.lang.String value)

    - #### bindShadow

          public SIMPLEHTMLEDITORNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public SIMPLEHTMLEDITORNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public SIMPLEHTMLEDITORNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SIMPLEHTMLEDITORNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SIMPLEHTMLEDITORNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public SIMPLEHTMLEDITORNode setText(java.lang.String value)

    - #### bindText

          public SIMPLEHTMLEDITORNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public SIMPLEHTMLEDITORNode setWidth(java.lang.String value)

    - #### bindWidth

          public SIMPLEHTMLEDITORNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SIMPLEHTMLEDITORNode setWidth(int value)

    - #### setX

          public SIMPLEHTMLEDITORNode setX(java.lang.String value)

    - #### bindX

          public SIMPLEHTMLEDITORNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SIMPLEHTMLEDITORNode setX(int value)

    - #### setY

          public SIMPLEHTMLEDITORNode setY(java.lang.String value)

    - #### bindY

          public SIMPLEHTMLEDITORNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SIMPLEHTMLEDITORNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.